Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Dermot

Pages: 1 ... 34 35 [36] 37 38 39
526
If you have a recent version (post 834) it should be just a matter of setting the RTF Section: Package::Diagram::Element - leave this blank to reflect the Package::Element layout.  See: http://www.sparxsystems.com/uml_tool_guide/enterprise_architect_reports/document_options.html
F8 | Include all Diagrms in Report -  must be ON.

527
Try: http://www.sparxsystems.com/uml_tool_guide/sdk_for_enterprise_architect/customviews.html
This enables custom windows to be inserted as tabs in the Diagram View.

528
Yes  I am not sure I understand your reply either - This is where pictures in help files really do help ;-)
The original settings could have been set in the "List Level Properties"  when  "List Item" was selected rather than 'List Overide'.
As a work around perhaps set both to reflect the 1.1.1 rather than 1.0.0

529
This should work, however are you sure the: Paragraph | List Numbering | set at level 1 & 2  - IS the same for both Element & Package Sections as was set in: Edit | List and Overides | Edit List Level?

530
For this we reccomend a scheduled DBMS backup rather than a DBMS-> eap transfer.

531
There is also other documentation on this in the whitepaper on Requirements Management: http://www.sparxsystems.com.au/resources/whitepapers/index.html

532
If you are reporting Requirements and the Use Case that Realise these, then it is best to use (in a table) the Connector::Source::element and Connector::Target::element to show the related Use Cases & in the Options set the Connector type to filter only "Realisation" (needs build 834+).
In reverse -  for Use Cases there is the Section:  External Requirements - that returns these explicitly.

533
This is already supported with Element.Files (see the element properties  tab) alternately you can use Linked Documents or Document Artifacts to store these internaly.

535
In terms of the nesting of Model Documents, that is not currently supported, however Elements (model Document Elements) can be "Copied" to other packages (Master Documents):
Select multiple Elements in a diagram:
 - Edit | Copy
 - Go to a new package/diagram
 - Edit | Paste Elements | As New
(Note: 841 - it doesn't work for a single selection - but I have submitted a bug report)

536
There is a full VB 6 program and code available for generating documents.  For the code see:
http://www.sparxsystems.com.au/resources/developers/autint_vb.html

There is a routine in this - PasteDiagram() that is a good example.

537
The Word/OpenOffice: Compare and Merge (not Track Changes) can be used to show differences between two RTF reports of different Baselines.  This can be good for Viewing/reporting of these differences.  

538
Automation Interface, Add-Ins and Tools / Re: Customizing Table of Contents
« on: December 05, 2008, 03:39:03 pm »
EA RTF reporting is setup to work with the incremented Heading Fonts. These are incremented for each level of Package/Element that is parsed. If you want to set this as a fixed increment you can try either:
 - In the Contents Area - Change the line with the {Element.name} field from a Heading font to a Normal font.
OR
 - Setting: F8 | Advanced | Adjust Heading Levels - to heading 2 - to restrict the incrementation.
OR
- You can set up a TOC in a Word document with levels set to 2 and import this as a starter for a new template in EA.

I would suggest you have a look at more details on this in the Whitepaper on RTF report generation available from:
http://www.sparxsystems.com.au/resources/whitepapers/index.html

539
I am not sure if I read the original post correctly - when reffering to formating in the notes is that EA rich text formating?  If so, try using the EA-SDK routines:
GetFieldFromFormat (string Format, string Text)
GetFormatFromField (string Format, string Text)
See the help for details.

540
Pardon me butting in without reading all of Midnight's very generous reply, but here is some VB code that I think does do what you want - see pasteDiagram():

Sub DumpDiagrams(Package As Object, Ratio As Integer, bBorder As Boolean, ElementId As Long, Header As Boolean)

'______________________________________________
'
'Dump Diagrams
'
'______________________________________________
    Dim idx As Integer, diag As Ea.Diagram
    
    For Each diag In Package.Diagrams
    
        ' Check if the diagram is directly under the package - don't print if not
        If diag.ParentId = ElementId Then
             If Header Then
                 ' get the Package name and comments
                 WriteLin diag.Name, False, False, "H2"
                 WriteLin diag.Notes, False, False, "NS"
             End If
            
             ' Place the diagram on the document
             PasteDiagram diag.DiagramGUID, Ratio, bBorder

             WriteLin "Figure " + Str(iFigure) + ": " + diag.Name, True, False, "NS"
             iFigure = iFigure + 1
            
             EaRepos.CloseDiagram (diag.DiagramID)
            
        End If
    
    Next
    
    Set diag = Nothing
        
End Sub

Public Sub PasteDiagram(sDiagGuid As String, Ratio As Integer, bBorder As Boolean)

    Dim oProject As Ea.Project
    Dim CurrRange As Range
    
    Set CurrRange = WordApp.ActiveDocument.Content
    CurrRange.Collapse Direction:=wdCollapseEnd
    
    ' set up a project object to retrieve the graphics
    Set oProject = EaRepos.GetProjectInterface()
    
    'Copy diiagram from EA to the Clipboard
    WordApp.ActiveDocument.Content.InsertParagraphAfter
    
    ' Paste this diagram to the document from the project Object using guid from package
    If oProject.PutDiagramImageOnClipboard(sDiagGuid, 0) Then
        CurrRange.Paste
    End If
    
    If Ratio > 0 Then
        ' Selection.InlineShapes(1).Height * (Ratio / 100)
        WordApp.ActiveDocument.InlineShapes(iFigure - 1).LockAspectRatio = True
        WordApp.ActiveDocument.InlineShapes(iFigure - 1).Width = WordApp.ActiveDocument.InlineShapes(iFigure - 1).Width * Ratio
    End If
    
    If bBorder Then
        WordApp.ActiveDocument.InlineShapes(iFigure - 1).Borders(wdBorderBottom).LineStyle = wdLineStyleSingle
        WordApp.ActiveDocument.InlineShapes(iFigure - 1).Borders(wdBorderLeft).LineStyle = wdLineStyleSingle
        WordApp.ActiveDocument.InlineShapes(iFigure - 1).Borders(wdBorderRight).LineStyle = wdLineStyleSingle
        WordApp.ActiveDocument.InlineShapes(iFigure - 1).Borders(wdBorderTop).LineStyle = wdLineStyleSingle
    End If
    
    WordApp.ActiveDocument.Content.InsertParagraphAfter
    
    Set oProject = Nothing
    Set CurrRange = Nothing
      

End Sub

The full code for this is downloadable from the main Sparx web site dealing with Automation code:
http://www.sparxsystems.com.au/resources/developers/autint_vb.html

Pages: 1 ... 34 35 [36] 37 38 39